### Virtual Method

# WebKit2 WebView authenticate

#### Declaration [src]

    gboolean
    authenticate (
      WebKitWebView* web_view,
      WebKitAuthenticationRequest* request
    )

#### Description

No description available.

#### Parameters

`request` | `WebKitAuthenticationRequest`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.